﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Webkit;
using Android.Widget;
using Android.OS;
using Java.Interop;
using Android.Media;
using System.Threading.Tasks;

namespace FlipDroid
{
    [Activity(Label = "FlipDroid", MainLauncher = true)]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            var webView = FindViewById<WebView>(Resource.Id.webView);
            webView.Settings.JavaScriptEnabled = true;
            webView.Settings.LoadWithOverviewMode = true;
            webView.Settings.UseWideViewPort = true;
            webView.AddJavascriptInterface(new JavaScriptInterface(this), "Android");
            webView.LoadUrl("file:///android_asset/index.html");
        }
    }

    public class JavaScriptInterface : Java.Lang.Object
    {
        Context _context;
        MediaPlayer[] _player = new MediaPlayer[4];

        public JavaScriptInterface(Context c)
        {
            _context = c;
            _player[0] = MediaPlayer.Create(_context, Resource.Raw.Start);
            _player[1] = MediaPlayer.Create(_context, Resource.Raw.Right);
            _player[2] = MediaPlayer.Create(_context, Resource.Raw.Mistake);
            _player[3] = MediaPlayer.Create(_context, Resource.Raw.Next);
        }

        [Export]
        [JavascriptInterface]
        public void playAudio(int index)
        {
            _player[index].SeekTo(0);
            _player[index].Start();
        }
    }
} 